#
# spec file for package ghc-hPDB
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name hPDB
Name:           ghc-%{pkg_name}
Version:        1.2.0.9
Release:        lp150.1.8
Summary:        Protein Databank file format library
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-AC-Vector-devel
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-Octree-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-iterable-devel
BuildRequires:  ghc-mmap-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parallel-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-tagged-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-zlib-devel

%description
Protein Data Bank file format is a most popular format for holding biological
macromolecular data.

This is a very fast sequential parser:

* below 7s for the largest entry in PDB - 1HTQ which is over 70MB - as compared
with

* 11s of RASMOL 2.7.5,

* or 2m15s of BioPython with Python 2.6 interpreter.

In its parallel incarnation it is most probably the fastest parser for PDB
format.

It is aimed to not only deliver event-based interface, but also a high-level
data structure for manipulating data in spirit of BioPython's PDB parser.

<http://dx.doi.org/10.1186/1756-0500-6-483 hPDB - Haskell library for
processing atomic biomolecular structures in Protein Data Bank format - Michal
Jan Gajda. BMC Research Notes 2013, 6:483.>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc AUTHORS README.md changelog

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.2.0.9 revision 0 with cabal2obs.
